diff sh/c155-gen-fc-script @ 21:9d7d2fdc733b

new shell scripts c155-gen-fc-{ffs-img,script}
author Mychaela Falconia <falcon@freecalypso.org>
date Sun, 11 Jun 2023 00:28:10 +0000
parents sh/c139-gen-fc-script@2299f1ebbfd2
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sh/c155-gen-fc-script	Sun Jun 11 00:28:10 2023 +0000
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+# This shell script generates the set of files needed for reflashing a Motorola
+# C155/156 phone to FreeCalypso: it invokes c155-gen-fc-ffs-img to generate
+# fc-ffs.bin (customized FFS image containing IMEI and extracted factory RF
+# calibration values specific to your particular phone), and the present script
+# then generates a command script for fc-loadtool that flashes everything
+# in one go.
+
+if [ $# != 1 ]
+then
+	echo "usage: $0 fwimage.bin" 1>&2
+	exit 1
+fi
+
+if [ ! -f "$1" ]
+then
+	echo "Error: $1 does not exist or is not a regular file" 1>&2
+	exit 1
+fi
+
+if [ ! -d rfbin ]
+then
+	echo "Error: rfbin directory is missing" 1>&2
+	exit 1
+fi
+
+if [ ! -f IMEI ]
+then
+	echo "Error: IMEI file is missing" 1>&2
+	exit 1
+fi
+
+set -e
+
+c155-gen-fc-ffs-img rfbin IMEI
+
+echo "flash e-program-bin 0x20000 $1" > fc-flash-script
+echo "flash e-program-bin 0x700000 fc-ffs.bin" >> fc-flash-script
+
+echo 'Generated fc-loadtool command script in fc-flash-script'